iPhone iPad両対応ユニバーサルアプリ

#if __IPHONE_OS_VERSION_MAX_ALLOWED >= 30200
if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad) {
// iPad

} else {
// iPhone or iPod touch(iPhone OS バージョン3.2以上)

}
#else
// iPhone or iPod touch(iPhone OS バージョン3.2未満)

#endif

コメント

このブログの人気の投稿

Swiftのコンパイルエラー寄せ集め

Swift2.2からSwift3.0への変換を行ってみて

AVAudioSession細かいことまとめ(late 2014)